<?php

// No direct access
defined('_JEXEC') or die;

JHtml::_('behavior.keepalive');
JHtml::_('behavior.tooltip');
JHtml::_('behavior.formvalidation');
JHtml::_('formbehavior.chosen', 'select');

// Load admin language file
$lang = JFactory::getLanguage();
$lang->load('com_breed', JPATH_SITE);
$doc = JFactory::getDocument();

?>
<script type="text/javascript">
	if (jQuery === 'undefined') {
		document.addEventListener("DOMContentLoaded", function (event) {
			jQuery('#form-breed').submit(function (event) {
				
		if(jQuery('#jform_pic').val() != ''){
			jQuery('#jform_pic_hidden').val(jQuery('#jform_pic').val());
		}
			});

		});
	} else {
		jQuery(document).ready(function () {
			jQuery('#form-breed').submit(function (event) {
				
		if(jQuery('#jform_pic').val() != ''){
			jQuery('#jform_pic_hidden').val(jQuery('#jform_pic').val());
		}
			});
			
		});
	}
</script>

<div class="breed-edit front-end-edit">
	<?php if (!empty($this->item->id)): ?>
		<h1>Edit <?php echo $this->item->id; ?></h1>
	<?php else: ?>
		<h1>Make Entry</h1>
	<?php endif; ?>

	<form id="form-breed"  action="<?php echo JRoute::_('index.php?option=com_breed&amp;task=breed.save'); ?>" method="post" class="form-validate form-horizontal" enctype="multipart/form-data">
		
	<input type="hidden" name="jform[id]" value="<?php echo $this->item->id; ?>" />

	<input type="hidden" name="jform[ordering]" value="<?php echo $this->item->ordering; ?>" />

	<input type="hidden" name="jform[state]" value="<?php echo $this->item->state; ?>" />

	<input type="hidden" name="jform[checked_out]" value="<?php echo $this->item->checked_out; ?>" />

	<input type="hidden" name="jform[checked_out_time]" value="<?php echo $this->item->checked_out_time; ?>" />

	<?php if(empty($this->item->created_by)): ?>
		<input type="hidden" name="jform[created_by]" value="<?php echo JFactory::getUser()->id; ?>" />
	<?php else: ?>
		<input type="hidden" name="jform[created_by]" value="<?php echo $this->item->created_by; ?>" />
	<?php endif; ?>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('breedname'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('breedname'); ?></div>
	</div>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('pic'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('pic'); ?></div>
	</div>
	<?php if (!empty($this->item->pic)) :
		foreach ((array) $this->item->pic as $singleFile) : 
			if (!is_array($singleFile)) :
				echo '<a href="' . JRoute::_(JUri::root() . 'components/com_breed/breedpic' . DIRECTORY_SEPARATOR . $singleFile, false) . '">' . $singleFile . '</a> ';
			endif;
		endforeach;
	endif; ?>

	<input type="hidden" name="jform[pic][]" id="jform_pic_hidden" value="<?php echo str_replace('Array,', '', implode(',', (array) $this->item->pic)); ?>" />
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('breedcat'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('breedcat'); ?></div>
	</div>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('shortdesc'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('shortdesc'); ?></div>
	</div>
	<div class="control-group">
		<div class="control-label"><?php echo $this->form->getLabel('desc'); ?></div>
		<div class="controls"><?php echo $this->form->getInput('desc'); ?></div>
	</div>				<div class="fltlft" <?php if (!JFactory::getUser()->authorise('core.admin','breed')): ?> style="display:none;" <?php endif; ?> >

		<div class="control-group">
			<div class="controls">

					<button type="submit" class="validate btn btn-primary">
						<?php echo JText::_('JSUBMIT'); ?>
					</button>

				<a class="btn" href="/nomi/<?php echo JRoute::_('index.php?option=com_breed&task=breedform.cancel'); ?>"
				   title="<?php echo JText::_('JCANCEL'); ?>">
					<?php echo JText::_('JCANCEL'); ?>
				</a>
			</div>
		</div>

		<input type="hidden" name="option" value="com_breed"/>
		<input type="hidden" name="task"
			   value="breedform.save"/>
		<?php echo JHtml::_('form.token'); ?>
	</form>
</div>
